python-debconf_1.5.71_all.deb


Advertisement

Description

python-debconf - interact with debconf from Python 2

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-debconf_1.5.71_all.deb
Package name python-debconf
Package version 1.5.71
Package release -
Package architecture all
Package type deb
Category universe/python
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.89 KB
Installed size 18.00 KB
Debconf is a configuration management system for debian packages. Packages
use Debconf to ask questions when they are installed.
This package provides a debconf module to allow Python 2 programs to
interact with a debconf frontend.

Alternatives

Package Version Architecture Repository
python-debconf_1.5.71ubuntu1_all.deb 1.5.71ubuntu1 all Ubuntu Updates Universe
python-debconf_1.5.71ubuntu1_all.deb 1.5.71ubuntu1 all Ubuntu Updates Universe
python-debconf_1.5.71_all.deb 1.5.71 all Ubuntu Universe
python-debconf - - -

Requires

Name Value
debconf = 1.5.71
python:any >= 2.7~
python:any << 2.8

Replaces

Name Value
debconf << 1.5.64

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-debconf_1.5.71_all.deb
Source Package debconf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-debconf deb package:
    # sudo apt-get install python-debconf

Files

Path
/usr/lib/python2.7/dist-packages/debconf.py
/usr/share/doc/python-debconf

Changelog

2019-02-26 - Colin Watson <cjwatson@debian.org>
debconf (1.5.71) unstable; urgency=medium
[ Kevin Locke ]
* Dialog: Fix whiptail ellipsized selections (closes: #922279).
2019-01-16 - Colin Watson <cjwatson@debian.org>
debconf (1.5.70) unstable; urgency=medium
[ Colin Watson ]
* When using whiptail, trim select/multiselect items to fit if necessary
(closes: #478281).
[ Manpages translations ]
* French (Jean-Philippe MENGUAL; closes: #916598).
[ Programs translations ]
* French (Baptiste Jammet; closes: #918939).
2018-07-25 - Colin Watson <cjwatson@debian.org>
debconf (1.5.69) unstable; urgency=medium
[ Manpages translations ]
* German.
[ Programs translations ]
* Dutch (Frans Spiesschaert; closes: #874287).
[ Colin Watson ]
* Remove the Qt frontend (formerly Kde), as qt4-perl is on its way out
(closes: #629405).
2018-07-19 - Colin Watson <cjwatson@debian.org>
debconf (1.5.68) unstable; urgency=medium
[ Modestas Vainius ]
* Rename current Kde frontend to Qt.
* Add Debian/{FrontEnd,Element}/Qt* to debian/copyright.
* Add new Kde frontend that is driven by debconf-kde-helper (and requires
package of the same name). libqtcore4-perl and libqtgui4-perl packages
are no longer necessary and can be safely removed. (Closes: #631769)
2018-06-12 - Colin Watson <cjwatson@debian.org>
debconf (1.5.67) unstable; urgency=medium
[ Translations ]
* Russian (Yuri Kozlov; closes: #898134).
[ Colin Watson ]
* Chase Vcs-Git redirection (thanks, Raphaƫl Hertzog).
* Adjust IFS handling in confmodule to work around #901185.
2018-02-28 - Colin Watson <cjwatson@debian.org>
debconf (1.5.66) unstable; urgency=medium
[ Programs translations ]
* French (Baptiste Jammet; closes: #887754).
[ Colin Watson ]
* Move VCS to salsa.debian.org.
* Mark debconf-doc Multi-Arch: foreign.
* Port the Gnome frontend to GTK+ 3 (closes: #883442, LP: #1736618).
2017-11-13 - Colin Watson <cjwatson@debian.org>
debconf (1.5.65) unstable; urgency=medium
* Declare Breaks on update-notifier-common (<< 3.187~) for the move of
debconf.py to separate binary packages (thanks, Steve Langasek; closes:
#881574).
2017-10-15 - Colin Watson <cjwatson@debian.org>
debconf (1.5.64) unstable; urgency=medium
[ Colin Watson ]
* Split debconf.py out to new python-debconf and python3-debconf binary
packages (closes: #709198).
* debconf.py: Allow the Debconf class to be used as a context manager
(closes: #877096).
* Simplify creation of documentation directory symlinks using
"dh_installdocs --link-doc".
[ Programs translations ]
* German (Helge Kreutzmann).
[ Debconf translations ]
* Albanian (Eva Vranici).
2017-07-12 - Colin Watson <cjwatson@debian.org>
debconf (1.5.63) unstable; urgency=medium
* "Change directory to / before executing maintainer scripts" from 1.5.62
was too intrusive due to changing Debconf::ConfModule, and broke some
existing maintainer scripts that e.g. ran ucf with relative paths.
Instead, just chdir to / before running maintainer scripts in
dpkg-reconfigure and chdir back afterwards (closes: #608648).
* In the Gnome frontend, hide the cancel button, and prompt for
confirmation when the close button is pressed (closes: #501767).
Original idea by Michael Vogt with an amendment by Joey Hess; some code
by Martin Pitt.
2017-07-03 - Colin Watson <cjwatson@debian.org>
debconf (1.5.62) unstable; urgency=medium
* Upgrade to debhelper v9 and dh-exec.
* Make debconf provide python-debconf and python3-debconf, in preparation
for splitting those out to separate binary packages (see #709198).
* dpkg-preconfigure: Don't write "Extracting templates from packages:"
progress output if stderr is not a terminal (closes: #701818).
* Change directory to / before executing maintainer scripts (closes:
#608648).
* Install to $Config{vendorlib} rather than hardcoding /usr/share/perl5.
* Upgrade to copyright-format 1.0.
* Policy version 4.0.0.

See Also

Package Description
python-debian_0.1.34_all.deb Python modules to work with Debian-related data formats
python-debianbts_2.8.2_all.deb Python interface to Debian's Bug Tracking System
python-debiancontributors_0.7.7-1_all.deb Manage submissions to contributors.debian.org
python-decorator_4.3.0-1.1_all.deb simplify usage of Python decorators by programmers
python-defer_1.0.6-2build1_all.deb Small framework for asynchronous programming (Python 2)
python-defusedxml_0.5.0-1ubuntu1_all.deb XML bomb protection for Python stdlib modules (for Python 2)
python-deltarpm_3.6+dfsg-1build8_amd64.deb Python bindings for deltarpm
python-demgengeo_1.2-1build6_amd64.deb DEMGenGeo is a library for creating geometry files
python-demjson_2.2.4-2_all.deb encoder, decoder, and lint/validator for JSON in Python (python2)
python-dendropy_4.4.0-1_all.deb DendroPy Phylogenetic Computing Library (Python 2)
python-deprecation_2.0.6-1_all.deb Library to handle automated deprecations - Python 2.x
python-derpconf_0.8.2-2_all.deb Python module to abstract loading configuration files for your app
python-descartes_1.1.0-2_all.deb Matplotlib extension to work with geometric objects (Python2)
python-designateclient_2.11.0-0ubuntu1_all.deb client library for the OpenStack Designate API - Python 2.7
python-dexml_0.5.1-1_all.deb Dead-simple Object-XML mapper for Python
Advertisement
Advertisement